USB_GADGET_CLEAR_SEL(9)

NAME
usb_gadget_clear_selfpowered - clear the device selfpowered feature.

SYNOPSIS

int usb_gadget_clear_selfpowered(struct usb_gadget * gadget);

ARGUMENTS

gadget
    the device being declared as bus-powered

DESCRIPTION

this affects the device status reported by the hardware driver. some hardware may not support bus-powered operation, in which case this feature's value can never change.

returns zero on success, else negative errno.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT